% cancelliamo variabili e funzioni precedentemente definite.
clear all; 

% successione "s_n".
s(1)=exp(-1); % valore che approssima $I_1$   
for n=1:99
    % valore che approssima $I_{n+1}$ 
    s(n+1)=1-(n+1)*s(n);
end

% successione "t_n".
M=1000;
t=zeros(1,M); % inizializzazione "t" come vettore riga.
for n=M:-1:2
    % valore che approssima $I_{n-1}$
    t(n-1)=(1-t(n))/n; 
end

% plot semilogaritmico                
clf;
semilogy(1:length(s),abs(s),'k-',...
    1:length(s),abs(t(1:length(s))),'m-');
legend('s','t')

% 
% % pause(5);
% % plot errore "t_n" (scala semilogaritmica).
% for n=1:100
%     stringa=strcat('exp(-1)*exp(x).*x.^',num2str(n));
%     f=inline(stringa);
%     % valore che approssima $I_{n-1}$ 
%     I(n)=quadl(f,0,1,10^(-15));
% end
% 
% format long e
% [(t(1:100))' (I(1:100))' (s(1:100))']
% 
% semilogy(0:99,abs(t(1:100)-I),'r.');



 

